=== test/Makefile ===
default: small

TN="tochnog"

all: small large very_large 

small:
	$(TN) absorp1
	$(TN) axisym1
	$(TN) axisym2
	$(TN) axisym3
	$(TN) axisym4
	$(TN) calcul1
	$(TN) calcul2
	$(TN) condif1
	$(TN) condif2
	$(TN) condif3
	$(TN) condif5
	$(TN) condif6
	$(TN) contac1
	$(TN) contac2
	$(TN) contac3
	$(TN) convec1
	$(TN) convec2
	$(TN) ctvmis1
	$(TN) ctvmis2
	$(TN) depend1
	$(TN) distri1
	$(TN) doftying
	$(TN) druckpr1
	$(TN) eigen1
	$(TN) eigen2
	$(TN) eigen3
	$(TN) elasti1
	$(TN) elasti2
	$(TN) elasti3
	$(TN) elasti4
	$(TN) examp4
	$(TN) examp7
	$(TN) examp12
	$(TN) expans1
	$(TN) expans2
	$(TN) force1
	$(TN) ground1
	$(TN) ground2
	$(TN) incnav1
	$(TN) incnav2
	$(TN) incnav3
	$(TN) incnav4
	$(TN) interac1
	$(TN) inver1
	$(TN) inver2
	$(TN) macro1
	$(TN) macro2
	$(TN) matrix1
	$(TN) matrix2
	$(TN) matrix3
	$(TN) matrix4
	$(TN) matrix5
	$(TN) matrix6
	$(TN) matrix7
	$(TN) matrix8
	$(TN) matrix9
	$(TN) membran1
	$(TN) membran2
	$(TN) merge1
	$(TN) mesh2
	$(TN) mohrcou1
	$(TN) mohrcou2
	$(TN) mohrcou3
	$(TN) nodfor1
	$(TN) post1
	$(TN) post2
	$(TN) post3
	$(TN) post4
	$(TN) post5
	$(TN) post6
	$(TN) pridbs
	$(TN) pridbs1.dbs
	$(TN) radiate1
	$(TN) radiate2
	$(TN) refine1
	$(TN) refine2
	$(TN) refine3
	$(TN) refine4
	$(TN) remesh1
	$(TN) repeat1
	$(TN) repeat2
	$(TN) skip1
	$(TN) slide1
	$(TN) soften1
	$(TN) strconv1 
	$(TN) temp1
	$(TN) temp2
	$(TN) temp3
	$(TN) temp4
	$(TN) temp5
	$(TN) tendon1 
	$(TN) tendon2
	$(TN) tendon3
	$(TN) tendon4
	$(TN) tendon6
	$(TN) tendon7
	$(TN) tendon8
	$(TN) tendon10
	$(TN) tension1
	$(TN) total1
	$(TN) transv1
	$(TN) update1
	$(TN) viscel1
	$(TN) visc_pl1
	$(TN) visc_pl2
	$(TN) volume1
	$(TN) volume2
	$(TN) vonmis1
	$(TN) vonmis2
	$(TN) wave1

large:
	$(TN) buckl1
	$(TN) examp1
	$(TN) examp2
	$(TN) examp3
	$(TN) examp5
	$(TN) examp6
	$(TN) examp8
	$(TN) examp9
	$(TN) examp10
	$(TN) examp11
	$(TN) examp15
	$(TN) examp16
	$(TN) examp17
	$(TN) examp18
	$(TN) examp20
	$(TN) examp21
	$(TN) hyper1
	$(TN) large1
	$(TN) mesh1

very_large:
	$(TN) examp13
	$(TN) examp14
	$(TN) examp19
	$(TN) examp23
	$(TN) examp24

clean:
	rm -f *.dbs *.aux *.his *.inp *.gif *.jpg *.rgb *.ps *.out *.vtk vtn* plotmtv* tn.dat
