=== debian/changelog ===
tochnog (98.10.27-3) frozen unstable; urgency=low

  *  make tochnog recommend tochnog-doc
  *  add url to description.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Mon, 16 Nov 1998 01:21:39 -0700
	

tochnog (98.10.27-2) frozen unstable; urgency=low

  * This is the same as that uploaded last Tuesday,
    well before the freeze.  Please install it.  

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Sat, 31 Oct 1998 13:32:03 -0700

tochnog (98.10.27-1) unstable; urgency=low

  * New upstream source.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Tue, 29 Sep 1998 19:10:01 -0700

Local variables:
mode: debian-changelog
add-log-mailing-address: "lapeyre@physics.arizona.edu"
End:
