=== debian/control ===
Source: tochnog
Section: math
Priority: optional
Maintainer: John Lapeyre <lapeyre@physics.arizona.edu>
Standards-Version: 2.3.0.1

Package: tochnog
Architecture: any
Depends:  ${shlibs:Depends}
Recommends: plotmtv, tochnog-doc
Conflicts: tn
Replaces: tn
Description: finite element analysis program
 Tochnog is a program for finite element analysis.
 Multithreading and multiprocessor systems are 
 supported.  Here is a partial list of 
 models supported:
 Differential equations (materials).
 Convection-diffusion equations,
 Stokes and Navier-Stokes,
 Elasticity (isotropy and transverse isotropy),
 Plasticity (Von-Mises, Mohr-Coulomb, 
 Gurson, etc.; plasticity surfaces can be 
 arbitrarily combined).
 .
 Residues in equations and error estimates
 for all data can be printed/plotted.
 web page: 
 http://info.uibk.ac.at/c/c8/c813/tn_release/tnhome.html

Package: tochnog-doc
Architecture: all
Description: documentation for tochnog
 This is documentation necessary for using
 the tochnog finite element analysis program.
